Summary: SELinux library and simple utilities
Name: libselinux
Version: 1.22
Release: 3tr
Group: Trustix Official
Source: http://www.nsa.gov/selinux/archives/libselinux-%{version}.tgz
License: GPL
Prereq: gawk coreutils mktemp
BuildRoot: /var/tmp/%{name}-%{version}-root

%description
Security-enhanced Linux is a patch of the Linux® kernel and a number
of utilities with enhanced security functionality designed to add
mandatory access controls to Linux.  The Security-enhanced Linux
kernel contains new architectural components originally developed to
improve the security of the Flask operating system. These
architectural components provide general support for the enforcement
of many kinds of mandatory access control policies, including those
based on the concepts of Type Enforcement®, Role-based Access
Control, and Multi-level Security.

libselinux provides an API for SELinux applications to get and set
process and file security contexts and to obtain security policy
decisions.  Required for any applications that use the SELinux API.

%package devel
Summary: Header files and libraries used to build SELinux
Group: Trustix Official
Requires: libselinux = %{version}

%description devel
The selinux-devel package contains the static libraries and header files
needed for developing SELinux applications.

%prep
%setup -q

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
make DESTDIR="$RPM_BUILD_ROOT" LIBDIR="$RPM_BUILD_ROOT%{_libdir}" SHLIBDIR="$RPM_BUILD_ROOT%{_lib}" install

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files devel
%defattr(-,root,root)
%{_libdir}/libselinux.a
%{_libdir}/libselinux.so
%dir %{_includedir}/selinux
%{_includedir}/selinux/
%{_mandir}/man3/*

%files
%defattr(-,root,root,0755)
%{_lib}/libselinux.so.*
%{_sbindir}/*
%{_mandir}/man8/*

%changelog
* Mon Feb 26 2007 Nived Gopalan <nived at trustix dot org>
- Rebuilt

* Wed Mar 16 2005 Bipin S  <bipin at comodo dot com> 1.22-1tr
- New Upstream

* Wed Mar 16 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 1.17.14-2tr
- Rebuilt against Official Glibc-2.3.4
- Spec file cleanup

* Wed Jan 19 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 1.17.14-1
- Initial Spec file for Trustix

